[Linux-Xtensa] xtensa build failure in latest upstream kernel

Max Filippov jcmvbkbc at gmail.com
Wed Apr 30 08:43:23 UTC 2014


On Wed, Apr 30, 2014 at 4:43 AM, Guenter Roeck <linux at roeck-us.net> wrote:
> Folks,
>
> Linux kernel version 3.15-rcX fails building xtensa:allmodconfig
> with the following build error:
>
> ERROR: "__invalidate_icache_range" [drivers/misc/lkdtm.ko] undefined!
> make[1]: *** [__modpost] Error 1
> make: *** [modules] Error 2
>
> Would be great if someone can have a look.

The fix is in the xtensa-linux for_next branch, and I hope Chris will
send a pull request
before v3.15 is out.

-- 
Thanks.
-- Max


More information about the linux-xtensa mailing list